PKG-SET(8)

NAME
pkg set - modify information in the installed database

SYNOPSIS
pkg set [-a] [-A [01]] [-o <oldorigin>:<neworigin>] [-y] [-xXg] <pkg-name>

DESCRIPTION
pkg set is used to modify information concerning installed packages, should be used with caution

OPTIONS
The following options are supported by pkg set:

-y  Assume yes when asked for confirmation before package autoremoval.

-a  Match on all installed packages.

-A [01]
    Set automatic flag to the package: 0 is not automatic, 1 is automatic. This affects the operation of pkg-autoremove(8).

-o [<oldorigin>:<neworigin>]
    Change the port origin of a given dependency from oldorigin to neworigin. This corresponds to the port directory that the package originated from. Typically, this is only needed for upgrading a library or package that has MOVED or when the default version of a major port dependency changes. Usually this will be explained in /usr/ports/UPDATING. Also see pkg-updating(8) and EXAMPLES.

-x  Assume pkg-name is a regex

-X  Assume pkg-name is an extended regex

-g  Assume pkg-name is a glob

FILES
See pkg.conf(5).

EXAMPLES
Upgrade perl from 5.12 to 5.14. This involes moving the origin from lang/perl5.12 to lang/perl5.14:
    # pkg set -o lang/perl5.12:lang/perl5.14

Upgrade ruby from 1.8 to 1.9. This involes moving the origin from lang/ruby18 to lang/ruby19:
    # pkg set -o lang/ruby18:lang/ruby19

Move the origin libglut to freeglut, and then reinstall everything depending on glut to use the new shared library:
    # pkg set -o graphics/libglut:graphics/freeglut
    # pkg install -Rf graphics/freeglut

SEE ALSO
pkg.conf(5), pkg(8), pkg-add(8), pkg-audit(8), pkg-autoremove(8), pkg-backup(8), pkg-check(8), pkg-clean(8), pkg-create(8), pkg-delete(8), pkg-fetch(8), pkg-info(8), pkg-install(8), pkg-query(8), pkg-register(8), pkg-repo(8), pkg-rquery(8), pkg-search(8), pkg-shell(8), pkg-shlib(8), pkg-stats(8), pkg-update(8), pkg-updating(8), pkg-upgrade(8), pkg-version(8), pkg-which(8)